=== debian/changelog ===
libmirage (3.0.4-1) debian; urgency=low
  * Updated to 3.0.4
 -- Rok Mandeljc <rok.mandeljc@gmail.com>  Sat, 21 Nov 2015 12:00:00 +0100

libmirage (3.0.3-1) debian; urgency=low
  * Initial Release. Closes: #705409
 -- Henrik Stokseth <henrik@hshq.net>  Sat, 05 Apr 2014 12:00:00 +0100
