=== debian/control ===
Source: libmirage
Section: libs
Priority: optional
Homepage: http://cdemu.sourceforge.net/
Maintainer: Henrik Stokseth <henrik@hshq.net>
Build-Depends: pkg-config (>= 0.14), libglib2.0-dev (>= 2.28), libsndfile1-dev,
 libsamplerate0-dev, zlib1g-dev, libbz2-dev, liblzma-dev, gtk-doc-tools,
 gobject-introspection, libgirepository1.0-dev, debhelper (>= 9), cmake (>= 2.8.5)
Standards-Version: 3.9.5


Package: libmirage10
Section: libs
Architecture: any
Pre-Depends: multiarch-support
Conflicts: libmirage9
Replaces: libmirage9
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CD-ROM image access library
 This is libMirage library, a CD-ROM image access library, and part of the
 CDEmu suite, a free, GPL CD/DVD-ROM device emulator for Linux. It is
 written in C and based on GLib.
 .
 The aim of libMirage is to provide uniform access to the data stored in
 different image formats, by creating a representation of disc stored in image
 file, which is based on GObjects.


Package: gir1.2-mirage-3.0
Section: introspection
Architecture: any
Depends: libmirage10 (= ${binary:Version}), ${gir:Depends}, ${misc:Depends}
Description: CD-ROM image access library (typelib files)
 This package provides typelib files.


Package: libmirage10-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libmirage10 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: CD-ROM image access library (debugging symbols)
 This package provides detached debugging symbols.


Package: libmirage10-dev
Section: libdevel
Architecture: any
Pre-Depends: multiarch-support
Depends: libmirage10 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: CD-ROM image access library (development files)
 This package contains files needed to develop with libMirage.


Package: libmirage10-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: devhelp
Description: CD-ROM image access library (documentation)
 This package contains documentation for libMirage.
