=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-


#export DH_VERBOSE=1


override_dh_auto_configure:
	dh_auto_configure -- "-DPOST_INSTALL_HOOKS:BOOL=OFF"

override_dh_strip:
	dh_strip --dbg-package="libmirage10-dbg"

override_dh_makeshlibs:
	dh_makeshlibs --exclude="libmirage-3.0"

override_dh_shlibdeps:
	dh_shlibdeps --exclude="libmirage-3.0"

%:
	dh $@ --with gir
