=== debian/watch ===
version=3

http://sf.net/cdemu/ libmirage-(.+)\.tar\.bz2
